package Visual_DVM_2021.Passes.Server;
import Common.Database.DBObject;
import Repository.RepositoryServer;
public class EditServerObject<S extends RepositoryServer, D extends DBObject> extends ServerObjectPass<S, D> {
    //--
    @Override
    public String getIconPath() {
        return "/icons/Edit.png";
    }
    //--
    @Override
    protected boolean canStart(Object... args) throws Exception {
        target = (D) getDb().tables.get(d).getCurrent();
        return getDb().tables.get(d).CheckCurrent(Log) && getDb().tables.get(d).ShowEditObjectDialog(target);
    }
    //--
    public EditServerObject(S server_in, Class<D> d_in) {
        super(server_in, d_in);
    }
    //--
    @Override
    protected void ServerAction() throws Exception {
        EditObject(target);
    }
    @Override
    protected void showDone() throws Exception {
        getDb().tables.get(d).ui_.Show(target.getPK());
    }
}
